// Crée une grille
//$nbrcol max $i de la classe = valeur de a col
@mixin grid-generator($nbrCol:1) {
  display: grid;
  grid-template-columns: repeat($nbrCol, 1fr);
  grid-column-gap: 40px;
  padding: 0;
  margin: 0;
  @for $i from 1 through $nbrCol {
    .col#{$i} {
      grid-column: span $i;
      @for $j from 1 through $nbrCol {
        &.startat#{$j} {
          grid-column: $j / span $i;
        }
      }
    }

    .startat#{$i} {
      grid-column: span $i;
    }
  }
}
